import request from '@/utils/request'

// 新增期数
export function addPeriod(data) {
    return request({
        url: '/erp/period',
        method: 'POST',
        data: data
    })
}

// 查询期数列表
export function getPeriod(query) {
    return request({
        url: '/erp/period/list',
        method: 'GET',
        params: query
    })
}

// 修改期数
export function editPeriod(data) {
    let { id, ...params } = data
    return request({
        url: '/erp/period/' + id,
        method: 'PUT',
        data: params
    })
}

// 删除期数
export function delPeriod(id) {
    return request({
        url: '/erp/period/' + id,
        method: 'DELETE'
    })
}

// 查询所有期数列表
export function getPeriodAll() {
    return request({
        url: '/erp/period/all',
        method: 'GET'
    })
}